get
https://staging.api.decentro.tech/v3/banking/account_validation/status
This API allows the platform to fetch the status of a verfication request intiated through the Mobile to Account (V3) API.
Important Note
Please use only Staging Credentials on each API Reference page to test the APIs directly from our Documentation.
Overview
This API allows the platform to retrieve the:
- Terminal status of a verification request when they receive a PENDING response via the Mobile to Account (V3) API
- Details of any existing verification request at a later date.
Flow
- The platform initiates this API to get the latest status of a verifcation request using either one parameter listed below as the query parameter:
- Decentro Transaction ID received in Mobile to Account (V3) API response
- Reference ID passsed in the request payload of the Mobile to Account (V3) API.
- Decentro relays the status of the GET request via the "api_status" field. If the transaction is found, the value for this paramter will be "SUCCESS". If the transaction is not found or for any error related to the request payload, te value for this parameter will be "FAILURE".
- When the "api_status" value is "SUCCESS", the "data" object will contain details of the verification request.
API Endpoints
Below are the API endpoints to be used by the platform basis the environments.
Response Parameters
Below are the parameters propagated by Decentro in the response.
| Parameters | Description |
|---|---|
| decentro_txn_id | A unique transaction ID from Decentro for checking the verifcation status. |
| api_status | Status of the API hit. Note: This is not the status of the verification request. |
| message | Textual description of the apistatus. Note: _This is not the status of the verification request. |
| response_key | Response key documenting the status of the API hit. |
| request_decentro_txn_id | A unique transaction ID from Decentro propagated in the sync response of the original verification request |
| request_response_key | Response key, documenting the status of the API hit and various errors, propagated in the sync response of the original verification request |
| reference_id | The reference_id passed when initializing the original verification request |
| upi_vpa | UPI VPA associated with the mobile number. |
| name_as_per_bank | Name of the account holder as per the bank records. |
| account_number | Primary Account Number mapped to the mobile number |
| ifsc | Corresponding IFSC code mapped to the account number |
| account_type | This parameter will contain the nature of the account being validated. Possible values: SAVINGS, CURRENT, NRO. |
| bank_reference_number | Bank Reference Number for the penny drop performed during the account validation process. |
| payout_status | This parameter will contain the status of the penny drop initiated by the system as a part of the verification process. |
| payout_amount | This parameter will contain the amount (INR 0.01 or 1.00) deposited during the penny drop process. |
| branch_details | This nested block will be propagated when the fetch_branch_details values is passed as true. Please click here to find the list of parameters which will be propagated in a success scenario. |
Response keys
Below are the response keys propagated by Decentro in the response_key parameter, which cover all the scenarios a platform can encounter.
Please note that the below keys don't include transaction-related response keys since the transaction status is relayed only after the payer authorizes payment.
| response key | Message |
|---|---|
| success_validation_status_fetched | UPI Transaction Status processed successfully. |
| error_no_transaction_found | This transaction was not found in our system. |
| error_api_access_error | Error while accessing the API. Please reach out to [email protected] for any queries. |
| error_authentication_request | Error while authenticating the request. |
| error_unauthorized_request | Unauthorized request. |
| error_unauthorized_company | Company is not authorized to perform this action |
